#!/usr/bin/perl


# Kanalliste, ordnet den Sendern ein Provider zu
#
#
#
#      die ISO-Bezeichnung des
#      Senders (nicht ndern)
#               |                         EPG von welchem
#               |                         Provider laden ?
#               |                         0=garnicht
#               |                         1=von tvmovie
#               |                         2=von tvinfo
#               |                         3=von hoerzu
#               |                         4=infosat
#               |                              |
#               v                              v

# Oeffentlich Rechtliche
@chan_wanted{"ard.de"}                      = "1";
@chan_wanted{"zdf.de"}                      = "1";
@chan_wanted{"einsfestival.ard.de"}         = "0";
@chan_wanted{"einsmuxx.ard.de"}             = "0";
@chan_wanted{"einsextra.ard.de"}            = "0";
@chan_wanted{"theater.zdf.de"}              = "0";
@chan_wanted{"doku.zdf.de"}                 = "0";
@chan_wanted{"info.zdf.de"}                 = "0";

# Private
@chan_wanted{"sat1.de"}                     = "1";
@chan_wanted{"sat1-austria.de"}             = "0";
@chan_wanted{"sat1-schweiz.de"}             = "0";
@chan_wanted{"prosieben.de"}                = "1";
@chan_wanted{"prosieben-austria.de"}        = "0";
@chan_wanted{"prosieben-schweiz.de"}        = "0";
@chan_wanted{"kabel1.de"}                   = "1";
@chan_wanted{"kabel1-austria.de"}           = "0";
@chan_wanted{"kabel1-schweiz.de"}           = "0";
@chan_wanted{"rtl.de"}                      = "1";
@chan_wanted{"rtl-austria.de"}              = "0";
@chan_wanted{"rtl2.de"}                     = "1";
@chan_wanted{"rtl2-austria.de"}             = "0";
@chan_wanted{"superrtl.de"}                 = "1";
@chan_wanted{"superrtl-austria.de"}         = "0";
@chan_wanted{"vox.de"}                      = "1";
@chan_wanted{"vox-austria.de"}              = "0";
@chan_wanted{"das-vierte.de"}               = "1";
@chan_wanted{"nick.de"}                     = "4";

# 3te & Regional-Programme
@chan_wanted{"3.br-online.de"}              = "0";
@chan_wanted{"ndr.de"}                      = "0";
@chan_wanted{"ndr-hh.de"}                   = "0";
@chan_wanted{"ndr-nds.de"}                  = "0";
@chan_wanted{"ndr-sh.de"}                   = "0";
@chan_wanted{"SF1"}                         = "0";
@chan_wanted{"SF2"}                         = "0";
@chan_wanted{"hr-online.de"}                = "0";
@chan_wanted{"brandenburg.rbb.de"}          = "0";
@chan_wanted{"wdr.de"}                      = "0";
@chan_wanted{"wdr-aachen.de"}               = "0";
@chan_wanted{"wdr-bielefeld.de"}            = "0";
@chan_wanted{"wdr-dortmund.de"}             = "0";
@chan_wanted{"wdr-dsseldorf.de"}           = "0";
@chan_wanted{"wdr-essen.de"}                = "0";
@chan_wanted{"wdr-mnster.de"}              = "0";
@chan_wanted{"wdr-siegen.de"}               = "0";
@chan_wanted{"wdr-wuppertal.de"}            = "0";
@chan_wanted{"swr.de"}                      = "0";
@chan_wanted{"mdr.de"}                      = "0";
@chan_wanted{"arte-tv.com"}                 = "0";
@chan_wanted{"berlin.de"}                   = "0";
@chan_wanted{"TRT"}                         = "0";
@chan_wanted{"FAB"}                         = "0";
@chan_wanted{"TV Mnchen"}                  = "0";
@chan_wanted{"tv.nrw"}                      = "0";
@chan_wanted{"HH1"}                         = "0";
@chan_wanted{"BRAlpha"}                     = "0";
@chan_wanted{"kika.de"}                     = "0";
@chan_wanted{"rhein main tv.de"}            = "0";
@chan_wanted{"3sat.de"}                     = "0";

# Oesterreich
@chan_wanted{"1.orf.at"}                    = "0";
@chan_wanted{"2.orf.at"}                    = "0";
@chan_wanted{"ATVplus"}                     = "0";

# NL
@chan_wanted{"1.omroep.nl"}                 = "0";
@chan_wanted{"2.omroep.nl"}                 = "0";
@chan_wanted{"3.omroep.nl"}                 = "0";

#Sport
@chan_wanted{"eurosport.de"}                = "0";
@chan_wanted{"dsf.com"}                     = "0";

#Musik
@chan_wanted{"mtv.de"}                      = "0";
@chan_wanted{"mtv2.de"}                     = "0";
@chan_wanted{"viva.tv"}                     = "0";
@chan_wanted{"viva2.de"}                    = "0";

#Nachrichten
@chan_wanted{"n-tv.de"}                     = "0";
@chan_wanted{"n24.de"}                      = "0";
@chan_wanted{"cnn.com"}                     = "0";
@chan_wanted{"nbc.de"}                      = "0";
@chan_wanted{"phoenix.de"}                  = "0";
@chan_wanted{"euronews.de"}                 = "0";

# Andere
@chan_wanted{"TV 5"}                        = "0";
@chan_wanted{"QVC.de"}                      = "0";
@chan_wanted{"Home Shopping Europe"}        = "0";
@chan_wanted{"terranova.de"}                = "0";
@chan_wanted{"hit24.de"}     	            = "0";
@chan_wanted{"neunlive.de"}                 = "0";
@chan_wanted{"DR1"}                         = "0";
@chan_wanted{"DR2"}                         = "0";
@chan_wanted{"tele5.de"}                    = "0";
@chan_wanted{"Kanal.D"}                     = "0";
@chan_wanted{"B.TV"}                        = "0";
@chan_wanted{"spi.ka TV"}                   = "0";
@chan_wanted{"Planet"}                      = "0";

# Premiere
@chan_wanted{"13th-street.premiere.de"}     = "0";
@chan_wanted{"classica.premiere.de"}        = "0";
@chan_wanted{"discovery.premiere.de"}       = "0";
@chan_wanted{"disney.premiere.de"}          = "0";
@chan_wanted{"XXP.de"}                      = "0";
@chan_wanted{"goldstar.premiere.de"}        = "0";
@chan_wanted{"heimat.premiere.de"}          = "0";
@chan_wanted{"junior.premiere.de"}          = "0";
@chan_wanted{"discov.history.premiere.de"}  = "0";
@chan_wanted{"1.sport.premiere.de"}         = "0";
@chan_wanted{"2.sport.premiere.de"}         = "0";
@chan_wanted{"1.premiere.de"}               = "0";
@chan_wanted{"fox-kids.premiere.de"}        = "0";
@chan_wanted{"2.premiere.de"}               = "0";
@chan_wanted{"3.premiere.de"}               = "0";
@chan_wanted{"sci-fi.premiere.de"}          = "0";
@chan_wanted{"beate-uhse.premiere.de"}      = "0";
@chan_wanted{"4.premiere.de"}               = "0";
@chan_wanted{"5.premiere.de"}               = "0";
@chan_wanted{"6.premiere.de"}               = "0";
@chan_wanted{"7.premiere.de"}               = "0";
@chan_wanted{"nostalgie.premiere.de"}       = "0";
@chan_wanted{"serie.premiere.de"}           = "0";
@chan_wanted{"start.premiere.de"}           = "0";
@chan_wanted{"krimi.premiere.de"}           = "0";
@chan_wanted{"mgm.premiere.de"}             = "0";
@chan_wanted{"Premiere Austria"}            = "0";
@chan_wanted{"animal.premiere.de"}          = "0";

@chan_wanted{"bloomberg.tv"}                = "0";
@chan_wanted{"DW-tv"}                       = "0";
@chan_wanted{"TV Franken"}                  = "0";
@chan_wanted{"TW1"}                         = "0";
@chan_wanted{"Bibel TV"}                    = "0";
@chan_wanted{"RTLSHOP"}                     = "0";
@chan_wanted{"BBC Prime"}                   = "0";
@chan_wanted{"RTL Lux"}                     = "0";
@chan_wanted{"Onyx"}                        = "0";
@chan_wanted{"TF 1"}                        = "0";
@chan_wanted{"France 2"}                    = "0";
@chan_wanted{"France 3"}                    = "0";
@chan_wanted{"RAI 1"}                       = "0";
@chan_wanted{"RAI 2"}                       = "0";
@chan_wanted{"bbc.com"}                     = "0";
@chan_wanted{"gotv"}                        = "0";
@chan_wanted{"CityInfo"}                    = "0";
@chan_wanted{"Extreme Sports Channel"}      = "0";
@chan_wanted{"Club"}                        = "0";
@chan_wanted{"Spreekanal"}                  = "0";
@chan_wanted{"FAB"}                         = "0";
@chan_wanted{"SaarTV"}                      = "0";
@chan_wanted{"Radio Bremen TV"}             = "0";
@chan_wanted{"CNBC"}                        = "0";
@chan_wanted{"Steiermark 1"}                = "0";
@chan_wanted{"TSR1"}                        = "0";
@chan_wanted{"TSR2"}                        = "0";
@chan_wanted{"TV Slovenija 1"}              = "0";
@chan_wanted{"TV Slovenija 2"}              = "0";
@chan_wanted{"Belgien 1"}                   = "0";
@chan_wanted{"Offener Kanal Kiel"}          = "0";
@chan_wanted{"Offener Kanal Berlin"}        = "0";
@chan_wanted{"B.TV"}                        = "0";
@chan_wanted{"Oberpfalz TV"}                = "0";
@chan_wanted{"Rhein-Neckar-Fernsehen"}      = "0";
@chan_wanted{"Dnemark 1"}                  = "0";
@chan_wanted{"Dnemark 2"}                  = "0";
@chan_wanted{"Cartoon Network"}             = "0";
@chan_wanted{"TCM Paneuro"}                 = "0";

# radiosender, nur hoerzu
@chan_wanted{"r-88acht"}                    = "0";
@chan_wanted{"r-Antenne Brandenburg"}       = "0";
@chan_wanted{"r-ARD Nachtkonzert"}          = "0";
@chan_wanted{"r-Bayern 1"}                  = "0";
@chan_wanted{"r-Bayern 2 Radio"}            = "0";
@chan_wanted{"r-Bayern 3"}                  = "0";
@chan_wanted{"r-Bayern 4 Klassik"}          = "0";
@chan_wanted{"r-Bremen Eins"}               = "0";
@chan_wanted{"r-Bremen Vier"}               = "0";
@chan_wanted{"r-Deutschlandfunk Kln"}      = "0";
@chan_wanted{"r-Deutschlandradio Berlin"}   = "0";
@chan_wanted{"r-DRS 2"}                     = "0";
@chan_wanted{"r-Eins Live"}                 = "0";
@chan_wanted{"r-FRITZ"}                     = "0";
@chan_wanted{"r-Funkhaus Europa"}           = "0";
@chan_wanted{"r-Hit Radio FFH"}             = "0";
@chan_wanted{"r-HR 1"}                      = "0";
@chan_wanted{"r-HR 2"}                      = "0";
@chan_wanted{"r-HR 3"}                      = "0";
@chan_wanted{"r-HR 4"}                      = "0";
@chan_wanted{"r-HR Klassik"}                = "0";
@chan_wanted{"r-HR XXL"}                    = "0";
@chan_wanted{"r-Inforadio"}                 = "0";
@chan_wanted{"r-Jump"}                      = "0";
@chan_wanted{"r-Klassik Radio"}             = "0";
@chan_wanted{"r-MDR 1 Radio Sachsen"}       = "0";
@chan_wanted{"r-MDR 1 Radio Sachsen-Anhalt"}= "0";
@chan_wanted{"r-MDR 1 Radio Tringen"}      = "0";
@chan_wanted{"r-MDR Kultur"}                = "0";
@chan_wanted{"r-N-JOY"}                     = "0";
@chan_wanted{"r-NDR 1 Niedersachsen"}       = "0";
@chan_wanted{"r-NDR 1 Radio MV"}            = "0";
@chan_wanted{"r-NDR 1 Welle Nord"}          = "0";
@chan_wanted{"r-NDR 2"}                     = "0";
@chan_wanted{"r-NDR 90,3"}                  = "0";
@chan_wanted{"r-NDR Info"}                  = "0";
@chan_wanted{"r-NDR Kultur"}                = "0";
@chan_wanted{"r-Nordwest Radio"}            = "0";
@chan_wanted{"r-ORF 1"}                     = "0";
@chan_wanted{"r-ORF 3 Hitradio"}            = "0";
@chan_wanted{"r-Radio 3"}                   = "0";
@chan_wanted{"r-Radio Eins"}                = "0";
@chan_wanted{"r-Radio Hamburg"}             = "0";
@chan_wanted{"r-Radio Kultur"}              = "0";
@chan_wanted{"r-Radio Schleswig-Holstein"}  = "0";
@chan_wanted{"r-SR 1 Europawelle"}          = "0";
@chan_wanted{"r-SR 2 Kulturradio"}          = "0";
@chan_wanted{"r-SR 3 Saarlandwelle"}        = "0";
@chan_wanted{"r-SWR 1"}                     = "0";
@chan_wanted{"r-SWR 2"}                     = "0";
@chan_wanted{"r-SWR 3"}                     = "0";
@chan_wanted{"r-SWR 4 Baden-Wrttemberg"}   = "0";
@chan_wanted{"r-SWR 4 Rheinland-Pfalz"}     = "0";
@chan_wanted{"r-WDR 2"}                     = "0";
@chan_wanted{"r-WDR 3"}                     = "0";
@chan_wanted{"r-WDR 4"}                     = "0";
@chan_wanted{"r-WDR 5"}                     = "0";
@chan_wanted{"r-DRS 1"}                     = "0";
1;
